org.faceless.pdf2.viewer2.feature

## Class ThumbnailExtractAction

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.feature.ThumbnailExtractAction

- All Implemented Interfaces:
    ThumbnailPanel.ThumbnailSelectionAction

      public class ThumbnailExtractAction
      extends ViewerFeature
      implements ThumbnailPanel.ThumbnailSelectionAction

  This feature will allow pages to be extracted to a new Document via the `ThumbnailPanel`. It is distinct from the drag/drop capability of the ThumbnailPanel, which allows pages to be dragged between already open documents. This feature is only active when `MultiWindow` is available, as it implies more than one document open in the Viewer. The name of this feature is ThumbnailExtract

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.12

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThumbnailExtractAction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Action` | `getAction(ThumbnailPanel.View view)` Return an Action for the specified View, or `null` if this action is not appropriate for the View (for example, because it edits the Document and the `ThumbnailPanel.View.isEditable()` method returns false

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, initialize, isEnabledByDefault, setFeatureName, teardown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ThumbnailExtractAction

          public ThumbnailExtractAction()

  - ### Method Detail

    - #### getAction

          public Action getAction(ThumbnailPanel.View view)

      Description copied from interface: `ThumbnailPanel.ThumbnailSelectionAction`
      Return an Action for the specified View, or `null` if this action is not appropriate for the View (for example, because it edits the Document and the `ThumbnailPanel.View.isEditable()` method returns false
      Specified by:
        `getAction` in interface `ThumbnailPanel.ThumbnailSelectionAction`

Copyright © 2001-2015 Big Faceless Organization